Subject: Re: bug#35858: Null pointer error when partitioning with the graphical installer

From: Julien Lepiller <[email-masked]>
Date: Fri, 31 May 2019 13:39:21 +0200

Le Fri, 31 May 2019 12:52:51 +0200,
Vivien Kraus <[email-masked]> a écrit :

> Hello,
> 
> I have installed with the manual method, it worked, I rebooted but my
> luck ends here: after entering my decryption key twice (the first time
> with a keyboard configured as US, the second with my azerty
> configuration, is this normal?  Whatever I can add a new luks key with
> the US keyboard), I get a boot screen reading:

Keyboard layouts are managed separately for grub, the console and X.
See
https://www.gnu.org/software/guix/manual/fr/html_node/Disposition-du-clavier.html#index-disposition-clavier

> 
> GC Warning: pthread_getattr_np or pthread_attr_getstack failed for
> main thread
> GC Warning: Couldn't read /proc/stat
> Welcome, this is GNU's early boot Guile.
> Use '--repl' for an initrd REPL.
> 
> loading kernel modules...
> Enter passphrase for /dev/sda2:
> ext2fs_check_if_mount: Can't check if filesystem is mounted due to
> missing mtab file while determining whether /dev/dm-0 is mounted.
> guix-root: clean, 181099/91545600 files, 7013116/366152801 blocks
> loading '/gnu/store/vxpwkiw1dp8m4xpjnzvmfq5bsnzccf61-system/boot'...
> making '/gnu/store/vxpwkiw1dp8m4xpjnzvmfq5bsnzccf61-system' the
> current system...
> setting up setuid programs in '/run/setuid-programs'...
> populating /etc
> from /gnu/store/qm_brk2hzpvzqsr3g62m3krbz9j4zh2i-etc... error in
> finalization thread: Success CP437: Invalid argument
> [   17.016506] udevd[245]: no sender credentials received, message
> ignored
> nscd: 249 monitoring file `/etc/hosts` (1)
> nscd: 249 monitoring directory `/etc` (2)
> nscd: 249 monitoring file `/etc/resolv.conf` (3)
> nscd: 249 monitoring directory `/etc` (2)
> nscd: 249 monitoring file `/etc/services` (4)
> nscd: 249 monitoring directory `/etc` (2)
> [   19.155923] Error: Driver 'pcspkr' is already registered,
> aborting...
> 
> 
> 
> The success error and pcspkr are also printed when running the
> installer.
> 
> I have 2 partitions: /dev/sda1 is the 512MB ESP partition, and
> /dev/sda2 is the fully encrypted disk (named 'guix-root').  Except for
> the keyboard configuration, UUIDs and default user, I have kept the
> default 'desktop' configuration.scm.
> 
> There is no disk activity, no fan activity and it does not respond to
> C-M-Fn, but it does reboot on C-M-DEL.

Have you tried to press 'Enter'?

> 
> And if I re-run the graphical installer, I still get the null pointer
> dereference.
> 
> 
> So I will revert to having guix on top of another distro for now.
> 
> 
> 
> Best regards,
> 
> Vivien
> 
> 
>